camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Claus Ibsen <claus.ib...@gmail.com>
Subject Re: camel-jetty artifact name issue
Date Thu, 05 Mar 2015 11:46:57 GMT
Hi

Java 6 is NOT supported anymore since Camel 2.14.x.

So if Jetty9 requires JDK7 or 8 then that is fine.

On Thu, Mar 5, 2015 at 12:19 PM, Willem Jiang <willem.jiang@gmail.com> wrote:
> Jetty9 requires JDK7, I think that holds the upgrading of other third part libraries.
> It’s may save us some efforts if we just set the default version of camel-jetty to
use Jetty8.
>
> We can change the camel-jetty to use Jetty9 in Camel 2.16.0.
>
> --
> Willem Jiang
>
> Red Hat, Inc.
> Web: http://www.redhat.com
> Blog: http://willemjiang.blogspot.com (English)
> http://jnn.iteye.com (Chinese)
> Twitter: willemjiang
> Weibo: 姜宁willem
>
>
>
> On March 5, 2015 at 5:26:51 PM, Claus Ibsen (claus.ibsen@gmail.com) wrote:
>> On Thu, Mar 5, 2015 at 10:13 AM, Willem Jiang wrote:
>> > I just give it a second thought, as we are in the middle of Jetty upgrading,
it’s impossible
>> for the user to use Jetty9 if they still want to use JDK6. How about we just publish
the camel-jetty
>> module on the base on camel-jetty8 and we can upgrade camel-jetty9 if it is ready?
>>
>> JDK6 ??? We dont support that. Do you mean JDK7?
>>
>> >
>> > BTW, current camel-jetty feature is using camel-jetty8 bundle.
>> >
>> > --
>> > Willem Jiang
>> >
>> > Red Hat, Inc.
>> > Web: http://www.redhat.com
>> > Blog: http://willemjiang.blogspot.com (English)
>> > http://jnn.iteye.com (Chinese)
>> > Twitter: willemjiang
>> > Weibo: 姜宁willem
>> >
>> >
>> >
>> > On March 5, 2015 at 3:57:25 PM, Claus Ibsen (claus.ibsen@gmail.com) wrote:
>> >> Hi
>> >>
>> >> Yeah I think that is a good idea.
>> >>
>> >>
>> >> On Thu, Mar 5, 2015 at 8:36 AM, Willem Jiang wrote:
>> >> > Hi,
>> >> >
>> >> > We introduced camel-jetty8 and camel-jetty9 two modules in Camel 2.15-SNAPSHOT
>> and
>> >> camel-jetty is not exit any more.
>> >> >
>> >> > When I tried to run the tests of camelinaction, I have to change the
pom.xml to choice
>> >> camel-jetty8 or camel-jetty9 to run the test.
>> >> >
>> >> > My think we need to rename camel-jetty9 to camel-jetty to give the
default choice
>> for
>> >> the user before cutting the camel 2.15.0.
>> >> >
>> >> > Any thought?
>> >> >
>> >> > --
>> >> > Willem Jiang
>> >> >
>> >> > Red Hat, Inc.
>> >> > Web: http://www.redhat.com
>> >> > Blog: http://willemjiang.blogspot.com (English)
>> >> > http://jnn.iteye.com (Chinese)
>> >> > Twitter: willemjiang
>> >> > Weibo: 姜宁willem
>> >> >
>> >> >
>> >> >
>> >>
>> >>
>> >>
>> >> --
>> >> Claus Ibsen
>> >> -----------------
>> >> Red Hat, Inc.
>> >> Email: cibsen@redhat.com
>> >> Twitter: davsclaus
>> >> Blog: http://davsclaus.com
>> >> Author of Camel in Action: http://www.manning.com/ibsen
>> >> hawtio: http://hawt.io/
>> >> fabric8: http://fabric8.io/
>> >>
>> >
>>
>>
>>
>> --
>> Claus Ibsen
>> -----------------
>> Red Hat, Inc.
>> Email: cibsen@redhat.com
>> Twitter: davsclaus
>> Blog: http://davsclaus.com
>> Author of Camel in Action: http://www.manning.com/ibsen
>> hawtio: http://hawt.io/
>> fabric8: http://fabric8.io/
>>
>



-- 
Claus Ibsen
-----------------
Red Hat, Inc.
Email: cibsen@redhat.com
Twitter: davsclaus
Blog: http://davsclaus.com
Author of Camel in Action: http://www.manning.com/ibsen
hawtio: http://hawt.io/
fabric8: http://fabric8.io/

Mime
View raw message